---
title: llarp::EndpointBase::SendStat

---

# llarp::EndpointBase::SendStat





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| uint64_t | **[messagesSend](Classes/structllarp_1_1EndpointBase_1_1SendStat.md#variable-messagessend)** <br>how many routing messages we sent to them  |
| uint64_t | **[messagesRecv](Classes/structllarp_1_1EndpointBase_1_1SendStat.md#variable-messagesrecv)** <br>how many routing messages we got from them  |
| size_t | **[numTotalConvos](Classes/structllarp_1_1EndpointBase_1_1SendStat.md#variable-numtotalconvos)** <br>how many convos have we had to this guy total?  |
| Duration_t | **[estimatedRTT](Classes/structllarp_1_1EndpointBase_1_1SendStat.md#variable-estimatedrtt)** <br>current estimated rtt  |
| Duration_t | **[lastSendAt](Classes/structllarp_1_1EndpointBase_1_1SendStat.md#variable-lastsendat)** <br>last time point when we sent a message to them  |
| Duration_t | **[lastRecvAt](Classes/structllarp_1_1EndpointBase_1_1SendStat.md#variable-lastrecvat)** <br>last time point when we got a message from them  |

## Public Attributes Documentation

### variable messagesSend

```cpp
uint64_t messagesSend;
```

how many routing messages we sent to them 

### variable messagesRecv

```cpp
uint64_t messagesRecv;
```

how many routing messages we got from them 

### variable numTotalConvos

```cpp
size_t numTotalConvos;
```

how many convos have we had to this guy total? 

### variable estimatedRTT

```cpp
Duration_t estimatedRTT;
```

current estimated rtt 

### variable lastSendAt

```cpp
Duration_t lastSendAt;
```

last time point when we sent a message to them 

### variable lastRecvAt

```cpp
Duration_t lastRecvAt;
```

last time point when we got a message from them 

-------------------------------

Updated on 2023-01-20 at 23:19:38 +0000